/**
 * `Cron`时间表达式
 */
export declare class CronExpression {
    /**
     * 生成时间表达式, 每`{seconds}`秒
     */
    static everySecondsOn(seconds: any): string;
    /**
     * 生成时间表达式, 每`{minutes}`分钟
     */
    static everyMinutesOn(minutes: any): string;
    /**
     * 生成时间表达式, 每`{hours}`小时
     */
    static everyHoursOn(hours: any): string;
    /**
     * 生成时间表达式, 每天`{clock}`点
     */
    static everyClockOn(clock: any): string;
}
/**
 * cron计划任务装饰器(`DEBUG`环境下禁用)
 *
 * **注：建议使用中台UTS快捷任务**
 *
 * ```ts
 * import { CronJob, CronExpression } from "refs/nslib";
 *
 * //去掉注释
 * //@CronJob(CronExpression.everySecondsOn(5))
 * export class SyncDataJob implements IService {
 *   async doService(): Promise<any> {
 *
 *   }
 * }
 * ```
 *
 * @param cronExpression cron时间表达式
 * @param description 任务描述, 仅为记录日志
 */
export declare function CronJob(cronExpression: string, description?: string): ClassDecorator;
